Skip to main content
`Ctrl`+`K`

# PetscDSAddDiscretization

Adds a discretization object

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSAddDiscretization(PetscDS prob, PetscObject disc)

Not Collective

## Input Parameters

- prob - The `PetscDS` object

- disc - The boundary discretization object

## See Also

`PetscWeakForm`, `PetscDSGetDiscretization()`, `PetscDSSetDiscretization()`, `PetscDSGetNumFields()`, `PetscDSCreate()`

## Level

beginner

## Location

src/dm/dt/interface/dtds.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages